grk::HWY_NAMESPACE::CompressIrrev Class Reference

Apply MCT with optional DC shift to irreversible compressed image. More...

## Public Member Functions

void | transform (ScheduleInfo info)

## Private Attributes

const float | a_r = 0.299f
const float | a_g = 0.587f
const float | a_b = 0.114f
const float | cb = 0.5f / (1.0f - a_b)
const float | cr = 0.5f / (1.0f - a_r)

## Detailed Description

Apply MCT with optional DC shift to irreversible compressed image.

## Member Function Documentation

## transform()

void grk::HWY_NAMESPACE::CompressIrrev::transform | ( | ScheduleInfo | info | ) |

inline

References a_b, a_g, a_r, cb, hwy::HWY_NAMESPACE::ConvertTo(), cr, grk::grk_read(), HWY_FULL, hwy::HWY_NAMESPACE::Lanes(), hwy::HWY_NAMESPACE::Load(), hwy::HWY_NAMESPACE::Set(), grk::shift, hwy::HWY_NAMESPACE::Store(), and hwy::HWY_NAMESPACE::v.

## Member Data Documentation

## a_b

const float grk::HWY_NAMESPACE::CompressIrrev::a_b = 0.114f

private

Referenced by transform().

## a_g

const float grk::HWY_NAMESPACE::CompressIrrev::a_g = 0.587f

private

Referenced by transform().

## a_r

const float grk::HWY_NAMESPACE::CompressIrrev::a_r = 0.299f

private

Referenced by transform().

## cb

const float grk::HWY_NAMESPACE::CompressIrrev::cb = 0.5f / (1.0f - a_b)

private

Referenced by transform().

## cr

const float grk::HWY_NAMESPACE::CompressIrrev::cr = 0.5f / (1.0f - a_r)

private

Referenced by transform().

The documentation for this class was generated from the following file:

- mct.cpp